--- a/Makefile.in
+++ b/Makefile.in
@@ -67,6 +67,7 @@
 SKLIBS = @MYSKLIBS@
 APPLIBS = @MYAPPLIBS@
 LDENV = LD_RUN_PATH=/lib:/usr/lib:$(MYLIBDIR):$(HOME)/lib:/usr/local/lib:@MYRUNPATH@:.
+AR = @AR@
 RUNENV = LD_LIBRARY_PATH=.:/lib:/usr/lib:$(MYLIBDIR):$(HOME)/lib:/usr/local/lib:@MYRUNPATH@
 MYPOSTCMD = @MYPOSTCMD@
 
--- a/configure.in
+++ b/configure.in
@@ -24,24 +24,6 @@
 MYRUNPATH=""
 MYPOSTCMD="true"
 
-# Building paths
-pathtmp="$PATH"
-PATH="$HOME/bin:/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin:/bin:/sbin"
-PATH="$PATH:/usr/ccs/bin:/usr/ucb:/usr/xpg4/bin:/usr/xpg6/bin:$pathtmp"
-LIBRARY_PATH="$HOME/lib:/usr/local/lib:$LIBRARY_PATH"
-LD_LIBRARY_PATH="$HOME/lib:/usr/local/lib:$LD_LIBRARY_PATH"
-CPATH="$HOME/include:/usr/local/include:$CPATH"
-PKG_CONFIG_PATH="$HOME/lib/pkgconfig:/usr/local/lib/pkgconfig:$PKG_CONFIG_PATH"
-export PATH LIBRARY_PATH LD_LIBRARY_PATH CPATH PKG_CONFIG_PATH
-if type pkg-config > /dev/null 2>&1
-then
-  PATH="$PATH:`pkg-config --variable=bindir qdbm`"
-  LIBRARY_PATH="$LIBRARY_PATH:`pkg-config --variable=libdir qdbm`"
-  LD_LIBRARY_PATH="$LD_LIBRARY_PATH:`pkg-config --variable=libdir qdbm`"
-  CPATH="$CPATH:`pkg-config --variable=includedir qdbm`"
-  export PATH LIBRARY_PATH LD_LIBRARY_PATH CPATH PKG_CONFIG_PATH
-fi
-
 
 
 #================================================================
@@ -60,7 +42,6 @@
 then
   MYCFLAGS="-Wall -ansi -pedantic -fPIC -fsigned-char -g"
   MYDEFS=""
-  MYLDOPTS="-static"
   enables="$enables (debug)"
   stable="yes"
 fi
@@ -180,26 +161,28 @@
   then
     MYCFLAGS="-Wall -fPIC -fsigned-char -O1"
   fi
-  if gcc --version | egrep -i '^2\.(8|9)' > /dev/null 2>&1
+  if $CC --version | egrep -i '^2\.(8|9)' > /dev/null 2>&1
   then
     MYCFLAGS="-Wall -fPIC -fsigned-char -O1"
   fi
 fi
+AC_CHECK_TOOL(AR, ar)
 
 # Underlying libraries
+PKG_PROG_PKG_CONFIG
 AC_CHECK_LIB(c, main)
 AC_CHECK_LIB(m, main)
 AC_CHECK_LIB(regex, main)
 AC_CHECK_LIB(iconv, main)
-if test "$enable_zlib" != "no" || pkg-config --libs qdbm 2>&1 | grep '\-lz' > /dev/null 2>&1
+if test "$enable_zlib" != "no" || $PKG_CONFIG --libs qdbm 2>&1 | grep '\-lz' > /dev/null 2>&1
 then
   AC_CHECK_LIB(z, main)
 fi
-if test "$enable_lzo" = "yes" || pkg-config --libs qdbm 2>&1 | grep '\-llzo2' > /dev/null 2>&1
+if test "$enable_lzo" = "yes" || $PKG_CONFIG --libs qdbm 2>&1 | grep '\-llzo2' > /dev/null 2>&1
 then
   AC_CHECK_LIB(lzo2, main)
 fi
-if test "$enable_bzip" = "yes" || pkg-config --libs qdbm 2>&1 | grep '\-lbz2' > /dev/null 2>&1
+if test "$enable_bzip" = "yes" || $PKG_CONFIG --libs qdbm 2>&1 | grep '\-lbz2' > /dev/null 2>&1
 then
   AC_CHECK_LIB(bz2, main)
 fi
@@ -227,15 +210,15 @@
 fi
 
 # Checking the version of QDBM with pkg-config
-if type pkg-config > /dev/null 2>&1
+if true
 then
   printf 'checking the version of QDBM ... '
-  if pkg-config --atleast-version=1.8.75 qdbm
+  if $PKG_CONFIG --atleast-version=1.8.75 qdbm
   then
-    printf 'ok (%s)\n' `pkg-config --modversion qdbm`
-    MYCPPOPTS="$MYCPPOPTS -I`pkg-config --variable=includedir qdbm`"
-    MYLDOPTS="$MYLDOPTS -L`pkg-config --variable=libdir qdbm`"
-    MYRUNPATH="$MYRUNPATH:`pkg-config --variable=libdir qdbm`"
+    printf 'ok (%s)\n' `$PKG_CONFIG --modversion qdbm`
+    MYCPPOPTS="$MYCPPOPTS -I`$PKG_CONFIG --variable=includedir qdbm`"
+    MYLDOPTS="$MYLDOPTS -L`$PKG_CONFIG --variable=libdir qdbm`"
+    MYRUNPATH="$MYRUNPATH:`$PKG_CONFIG --variable=libdir qdbm`"
   else
     printf 'no (maybe not installed or too old)\n'
   fi
--- a/javanative/configure.in
+++ b/javanative/configure.in
@@ -27,28 +27,6 @@
 MYSKLIBS=""
 MYRUNPATH=""
 
-# Building paths
-pathtmp="$PATH"
-PATH="..:$HOME/bin:/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin:/bin:/sbin"
-PATH="$PATH:/usr/ccs/bin:/usr/ucb:/usr/xpg4/bin:/usr/xpg6/bin:$pathtmp"
-LIBRARY_PATH="..:$HOME/lib:/usr/local/lib:$LIBRARY_PATH"
-LD_LIBRARY_PATH="..:$HOME/lib:/usr/local/lib:$LD_LIBRARY_PATH"
-CPATH="..:$HOME/include:/usr/local/include:$CPATH"
-PKG_CONFIG_PATH="..:$HOME/lib/pkgconfig:/usr/local/lib/pkgconfig:$PKG_CONFIG_PATH"
-export PATH LIBRARY_PATH LD_LIBRARY_PATH CPATH PKG_CONFIG_PATH
-if type pkg-config > /dev/null 2>&1
-then
-  PATH="$PATH:`pkg-config --variable=bindir qdbm`"
-  PATH="$PATH:`pkg-config --variable=bindir hyperestraier`"
-  LIBRARY_PATH="$LIBRARY_PATH:`pkg-config --variable=libdir qdbm`"
-  LIBRARY_PATH="$LIBRARY_PATH:`pkg-config --variable=libdir hyperestraier`"
-  LD_LIBRARY_PATH="$LD_LIBRARY_PATH:`pkg-config --variable=libdir qdbm`"
-  LD_LIBRARY_PATH="$LD_LIBRARY_PATH:`pkg-config --variable=libdir hyperestraier`"
-  CPATH="$CPATH:`pkg-config --variable=includedir qdbm`"
-  CPATH="$CPATH:`pkg-config --variable=includedir hyperestraier`"
-  export PATH LIBRARY_PATH LD_LIBRARY_PATH CPATH PKG_CONFIG_PATH
-fi
-
 
 
 #================================================================
@@ -134,7 +112,7 @@
 then
   MYCFLAGS="-Wall -fPIC -fsigned-char -O1"
 fi
-if gcc --version | egrep -i '^2\.(8|9)' > /dev/null 2>&1
+if $CC --version | egrep -i '^2\.(8|9)' > /dev/null 2>&1
 then
   MYCFLAGS="-Wall -fPIC -fsigned-char -O1"
 fi
@@ -158,7 +136,7 @@
 AC_CHECK_LIB(lzo2, main)
 AC_CHECK_LIB(bz2, main)
 AC_CHECK_LIB(qdbm, main)
-AC_CHECK_LIB(estraier, main)
+LIBS="$LIBS -lestraier"
 
 # For libraries of pthreads
 AC_CHECK_LIB(pthread, main, MYMTLIBS="-lpthread $MYMTLIBS",
@@ -170,11 +148,12 @@
 AC_CHECK_LIB(resolv, main, MYSKLIBS="-lresolv $MYSKLIBS")
 
 # Checking the version of QDBM with pkg-config
-if type pkg-config > /dev/null 2>&1 && pkg-config --atleast-version=1.0.0 qdbm
+PKG_PROG_PKG_CONFIG
+if $PKG_CONFIG --atleast-version=1.0.0 qdbm
 then
-  MYCPPOPTS="$MYCPPOPTS -I`pkg-config --variable=includedir qdbm`"
-  MYLDOPTS="$MYLDOPTS -L`pkg-config --variable=libdir qdbm`"
-  MYRUNPATH="$MYRUNPATH:`pkg-config --variable=libdir qdbm`"
+  MYCPPOPTS="$MYCPPOPTS -I`$PKG_CONFIG --variable=includedir qdbm`"
+  MYLDOPTS="$MYLDOPTS -L`$PKG_CONFIG --variable=libdir qdbm`"
+  MYRUNPATH="$MYRUNPATH:`$PKG_CONFIG --variable=libdir qdbm`"
 fi
 
 
--- a/javapure/configure.in
+++ b/javapure/configure.in
@@ -21,28 +21,6 @@
 JAVADOC="javadoc"
 JAVARUN="java"
 
-# Building paths
-pathtmp="$PATH"
-PATH="..:$HOME/bin:/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin:/bin:/sbin"
-PATH="$PATH:/usr/ccs/bin:/usr/ucb:/usr/xpg4/bin:/usr/xpg6/bin:$pathtmp"
-LIBRARY_PATH="..:$HOME/lib:/usr/local/lib:$LIBRARY_PATH"
-LD_LIBRARY_PATH="..:$HOME/lib:/usr/local/lib:$LD_LIBRARY_PATH"
-CPATH="..:$HOME/include:/usr/local/include:$CPATH"
-PKG_CONFIG_PATH="..:$HOME/lib/pkgconfig:/usr/local/lib/pkgconfig:$PKG_CONFIG_PATH"
-export PATH LIBRARY_PATH LD_LIBRARY_PATH CPATH PKG_CONFIG_PATH
-if type pkg-config > /dev/null 2>&1
-then
-  PATH="$PATH:`pkg-config --variable=bindir qdbm`"
-  PATH="$PATH:`pkg-config --variable=bindir hyperestraier`"
-  LIBRARY_PATH="$LIBRARY_PATH:`pkg-config --variable=libdir qdbm`"
-  LIBRARY_PATH="$LIBRARY_PATH:`pkg-config --variable=libdir hyperestraier`"
-  LD_LIBRARY_PATH="$LD_LIBRARY_PATH:`pkg-config --variable=libdir qdbm`"
-  LD_LIBRARY_PATH="$LD_LIBRARY_PATH:`pkg-config --variable=libdir hyperestraier`"
-  CPATH="$CPATH:`pkg-config --variable=includedir qdbm`"
-  CPATH="$CPATH:`pkg-config --variable=includedir hyperestraier`"
-  export PATH LIBRARY_PATH LD_LIBRARY_PATH CPATH PKG_CONFIG_PATH
-fi
-
 
 
 #================================================================
--- a/perlnative/configure.in
+++ b/perlnative/configure.in
@@ -17,28 +17,6 @@
 MYPLLIBDIR=/usr/lib/perl5/site_perl
 MYRUNPATH=""
 
-# Building paths
-pathtmp="$PATH"
-PATH="..:$HOME/bin:/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin:/bin:/sbin"
-PATH="$PATH:/usr/ccs/bin:/usr/ucb:/usr/xpg4/bin:/usr/xpg6/bin:$pathtmp"
-LIBRARY_PATH="..:$HOME/lib:/usr/local/lib:$LIBRARY_PATH"
-LD_LIBRARY_PATH="..:$HOME/lib:/usr/local/lib:$LD_LIBRARY_PATH"
-CPATH="..:$HOME/include:/usr/local/include:$CPATH"
-PKG_CONFIG_PATH="..:$HOME/lib/pkgconfig:/usr/local/lib/pkgconfig:$PKG_CONFIG_PATH"
-export PATH LIBRARY_PATH LD_LIBRARY_PATH CPATH PKG_CONFIG_PATH
-if type pkg-config > /dev/null 2>&1
-then
-  PATH="$PATH:`pkg-config --variable=bindir qdbm`"
-  PATH="$PATH:`pkg-config --variable=bindir hyperestraier`"
-  LIBRARY_PATH="$LIBRARY_PATH:`pkg-config --variable=libdir qdbm`"
-  LIBRARY_PATH="$LIBRARY_PATH:`pkg-config --variable=libdir hyperestraier`"
-  LD_LIBRARY_PATH="$LD_LIBRARY_PATH:`pkg-config --variable=libdir qdbm`"
-  LD_LIBRARY_PATH="$LD_LIBRARY_PATH:`pkg-config --variable=libdir hyperestraier`"
-  CPATH="$CPATH:`pkg-config --variable=includedir qdbm`"
-  CPATH="$CPATH:`pkg-config --variable=includedir hyperestraier`"
-  export PATH LIBRARY_PATH LD_LIBRARY_PATH CPATH PKG_CONFIG_PATH
-fi
-
 # Setting the default prefix
 if test "$prefix" = NONE
 then
@@ -100,12 +78,13 @@
 AC_CHECK_LIB(lzo2, main)
 AC_CHECK_LIB(bz2, main)
 AC_CHECK_LIB(qdbm, main)
-AC_CHECK_LIB(estraier, main)
+LIBS="$LIBS -lestraier"
 
 # Checking the version of QDBM with pkg-config
-if type pkg-config > /dev/null 2>&1 && pkg-config --atleast-version=1.0.0 qdbm
+PKG_PROG_PKG_CONFIG
+if $PKG_CONFIG --atleast-version=1.0.0 qdbm
 then
-  MYRUNPATH="$MYRUNPATH:`pkg-config --variable=libdir qdbm`"
+  MYRUNPATH="$MYRUNPATH:`$PKG_CONFIG --variable=libdir qdbm`"
 fi
 
 
--- a/rubynative/configure.in
+++ b/rubynative/configure.in
@@ -16,28 +16,6 @@
 MYRBLIBDIR=/usr/local/lib/ruby/site_ruby
 MYRUNPATH=""
 
-# Building paths
-pathtmp="$PATH"
-PATH="..:$HOME/bin:/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin:/bin:/sbin"
-PATH="$PATH:/usr/ccs/bin:/usr/ucb:/usr/xpg4/bin:/usr/xpg6/bin:$pathtmp"
-LIBRARY_PATH="..:$HOME/lib:/usr/local/lib:$LIBRARY_PATH"
-LD_LIBRARY_PATH="..:$HOME/lib:/usr/local/lib:$LD_LIBRARY_PATH"
-CPATH="..:$HOME/include:/usr/local/include:$CPATH"
-PKG_CONFIG_PATH="..:$HOME/lib/pkgconfig:/usr/local/lib/pkgconfig:$PKG_CONFIG_PATH"
-export PATH LIBRARY_PATH LD_LIBRARY_PATH CPATH PKG_CONFIG_PATH
-if type pkg-config > /dev/null 2>&1
-then
-  PATH="$PATH:`pkg-config --variable=bindir qdbm`"
-  PATH="$PATH:`pkg-config --variable=bindir hyperestraier`"
-  LIBRARY_PATH="$LIBRARY_PATH:`pkg-config --variable=libdir qdbm`"
-  LIBRARY_PATH="$LIBRARY_PATH:`pkg-config --variable=libdir hyperestraier`"
-  LD_LIBRARY_PATH="$LD_LIBRARY_PATH:`pkg-config --variable=libdir qdbm`"
-  LD_LIBRARY_PATH="$LD_LIBRARY_PATH:`pkg-config --variable=libdir hyperestraier`"
-  CPATH="$CPATH:`pkg-config --variable=includedir qdbm`"
-  CPATH="$CPATH:`pkg-config --variable=includedir hyperestraier`"
-  export PATH LIBRARY_PATH LD_LIBRARY_PATH CPATH PKG_CONFIG_PATH
-fi
-
 # Setting the default prefix
 if test "$prefix" = NONE
 then
@@ -74,10 +52,11 @@
   MYRBLIBDIR="$myrblibdir"
 fi
 
-# Checking the version of QDBM with pkg-config
-if type pkg-config > /dev/null 2>&1 && pkg-config --atleast-version=1.0.0 qdbm
+# Checking the version of QDBM with $PKG_CONFIG
+PKG_PROG_PKG_CONFIG
+if $PKG_CONFIG --atleast-version=1.0.0 qdbm
 then
-  MYRUNPATH="$MYRUNPATH:`pkg-config --variable=libdir qdbm`"
+  MYRUNPATH="$MYRUNPATH:`$PKG_CONFIG --variable=libdir qdbm`"
 fi
 
 
--- a/rubypure/configure.in
+++ b/rubypure/configure.in
@@ -15,28 +15,6 @@
 RDOC="rdoc"
 MYRBLIBDIR=/usr/local/lib/ruby/site_ruby
 
-# Building paths
-pathtmp="$PATH"
-PATH="..:$HOME/bin:/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin:/bin:/sbin"
-PATH="$PATH:/usr/ccs/bin:/usr/ucb:/usr/xpg4/bin:/usr/xpg6/bin:$pathtmp"
-LIBRARY_PATH="..:$HOME/lib:/usr/local/lib:$LIBRARY_PATH"
-LD_LIBRARY_PATH="..:$HOME/lib:/usr/local/lib:$LD_LIBRARY_PATH"
-CPATH="..:$HOME/include:/usr/local/include:$CPATH"
-PKG_CONFIG_PATH="..:$HOME/lib/pkgconfig:/usr/local/lib/pkgconfig:$PKG_CONFIG_PATH"
-export PATH LIBRARY_PATH LD_LIBRARY_PATH CPATH PKG_CONFIG_PATH
-if type pkg-config > /dev/null 2>&1
-then
-  PATH="$PATH:`pkg-config --variable=bindir qdbm`"
-  PATH="$PATH:`pkg-config --variable=bindir hyperestraier`"
-  LIBRARY_PATH="$LIBRARY_PATH:`pkg-config --variable=libdir qdbm`"
-  LIBRARY_PATH="$LIBRARY_PATH:`pkg-config --variable=libdir hyperestraier`"
-  LD_LIBRARY_PATH="$LD_LIBRARY_PATH:`pkg-config --variable=libdir qdbm`"
-  LD_LIBRARY_PATH="$LD_LIBRARY_PATH:`pkg-config --variable=libdir hyperestraier`"
-  CPATH="$CPATH:`pkg-config --variable=includedir qdbm`"
-  CPATH="$CPATH:`pkg-config --variable=includedir hyperestraier`"
-  export PATH LIBRARY_PATH LD_LIBRARY_PATH CPATH PKG_CONFIG_PATH
-fi
-
 # Setting the default prefix
 if test "$prefix" = NONE
 then
